<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     CPTTA: Change Profile Text To Avatar
 *
 */
 
if (!defined('SMF')) 
	die('Hacking attempt...');

function CPTTA_Menu(&$areas)
{
	global $txt, $modSettings, $settings, $context;
	// Add styling(s) for float right and avatar
	if (!empty($modSettings['cptta_float_right']) && (!empty($modSettings['cptta_enable']) || !empty($modSettings['cptta_username']))) {
	$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/CPTTA.styles1.css?fin20" />
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/CPTTA.styles2.css?fin20" />';
	} else
	// Just add styling(s) for avatar
	if (!empty($modSettings['cptta_enable'])) {
	$context['html_headers'] .= '
	<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/css/CPTTA.styles2.css?fin20" />';
	}
	// Change profile text to avatar &/ displayname
	$areas['profile']['title'] = !empty($modSettings['cptta_enable']) && !empty($context['user']['avatar']['href']) ? '<div class="cptta_username"><img src="' . $context['user']['avatar']['href'] . '" title="' . $txt['profile'] . '" alt="' . $txt['profile'] . '" class="cptta_avatar" />' . (empty($modSettings['cptta_username']) ? '' : ' ' .$context['user']['name']) . '</div>' : (!empty($modSettings['cptta_username']) ? $context['user']['name'] : $txt['profile']);
}

function CPTTA_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('CPTTA');
	// Add setting(s)
	$cptta = array(
			'',
			array('check', 'cptta_enable'),
			array('check', 'cptta_username'),
			array('check', 'cptta_float_right'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $cptta);
}
?>